# Class GeometryType

Object
CodeList<GeometryType>
GeometryType

All Implemented Interfaces:
  `Serializable, Comparable<GeometryType>`

@UML(identifier="MI_GeometryTypeCode", specification=ISO_19115_2) public final class GeometryType extends CodeList<GeometryType>
Geometric description of the collection.

Since:
  2.3
See Also:
  - Serialized Form

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class CodeList

  `CodeList​.Filter`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final GeometryType`
  `AREAL`
  Collection of a geographic area defined by a polygon (coverage).
  `static final GeometryType`
  `LINEAR`
  Extended collection in a single vector.
  `static final GeometryType`
  `POINT`
  Single geographic point of interest.
  `static final GeometryType`
  `STRIP`
  Series of linear collections grouped by way points.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `GeometryType[]`
  `family()`
  Returns the list of enumerations of the same kind as this enum.
  `static GeometryType`
  `valueOf(String code)`
  Returns the geometry type that matches the given string, or returns a new one if none match it.
  `static GeometryType[]`
  `values()`
  Returns the list of `GeometryType`s.

  ### Methods inherited from class CodeList

  `compareTo, identifier, name, names, ordinal, readResolve, toString, valueOf, valueOf`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### POINT

    @UML(identifier="point", obligation=CONDITIONAL, specification=ISO_19115_2) public static final GeometryType POINT
    Single geographic point of interest.

  - ### LINEAR

    @UML(identifier="linear", obligation=CONDITIONAL, specification=ISO_19115_2) public static final GeometryType LINEAR
    Extended collection in a single vector.

  - ### AREAL

    @UML(identifier="areal", obligation=CONDITIONAL, specification=ISO_19115_2) public static final GeometryType AREAL
    Collection of a geographic area defined by a polygon (coverage).

  - ### STRIP

    @UML(identifier="strip", obligation=CONDITIONAL, specification=ISO_19115_2) public static final GeometryType STRIP
    Series of linear collections grouped by way points.

- ## Method Details

  - ### values

    public static GeometryType[] values()
    Returns the list of `GeometryType`s.
    Returns:
      The list of codes declared in the current JVM.

  - ### family

    public GeometryType[] family()
    Returns the list of enumerations of the same kind as this enum.
    Specified by:
      `family` in class `CodeList<GeometryType>`
    Returns:
      The codes of the same kind as this code.

  - ### valueOf

    public static GeometryType valueOf(String code)
    Returns the geometry type that matches the given string, or returns a new one if none match it.
    Parameters:
      `code` - The name of the code to fetch or to create.
    Returns:
      A code matching the given name.